<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * http://www.phpgroupware.org                                              *
  * Written by Joseph Engo <jengo@phpgroupware.org>                          *
  * -----------------------------------------------                          *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
  /* $Id: deletedist.php,v 1.3 2001/05/10 22:08:56 bettina Exp $ */
  
    if ($confirm)
    {
	$phpgw_info['flags'] = array('noheader' => True,
				     'nonavbar' => True);
    }

    $phpgw_info['flags']['currentapp'] = 'inv';
    include('../header.inc.php');

    if (! $id)
    {
	Header('Location: ' . $phpgw->link('/inv/listdist.php'));
    }

    if ($confirm)
    {
	$d = CreateObject('phpgwapi.contacts');
	$d->delete_($id);
    
	Header('Location: ' . $phpgw->link('/inv/listdist.php'));
	$phpgw->common->phpgw_exit();
    }
    else
    {
	$hidden_vars = "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";
	$t = new Template(PHPGW_APP_TPL);
	$t->set_file(array('dist_delete' => 'delete.tpl'));

	$t->set_var('deleteheader',lang('Are you sure you want to delete this distributor entry ?'));

	$nolinkf = $phpgw->link('/inv/listdist.php',"id=$id");
	$nolink = '<a href="' . $nolinkf  . '">' . lang('No') . '</a>';
	$t->set_var('nolink',$nolink);

	$yeslinkf = $phpgw->link('/inv/deletedist.php',"id=$id&confirm=True");

	$yeslinkf = "<FORM method=\"POST\" name=yesbutton action=\"".$phpgw->link("/inv/deletedist.php")."\">"
                 . $hidden_vars
                 . "<input type=hidden name=id value=$id>"
                 . "<input type=hidden name=confirm value=True>"
                 . "<input type=submit name=yesbutton value=Yes>"
                 . "</FORM><SCRIPT>document.yesbutton.yesbutton.focus()</SCRIPT>";

	$yeslink = '<a href="' . $yeslinkf . '">' . lang('Yes') . '</a>';
	$yeslink = $yeslinkf;

	$t->set_var('yeslink',$yeslink);
	$t->pparse('out','dist_delete');
    }

    $phpgw->common->phpgw_footer();
?>
